io.milvus.common.resourcegroup

## Class ResourceGroupTransfer

- java.lang.Object
- - io.milvus.common.resourcegroup.ResourceGroupTransfer

-     public class ResourceGroupTransfer
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ResourceGroupTransfer(io.milvus.grpc.ResourceGroupTransfer grpcTransfer)` Constructor from grpc
    `ResourceGroupTransfer(@NonNull java.lang.String resourceGroupName)` Constructor with resource group name.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `io.milvus.grpc.ResourceGroupTransfer` | `toGRPC()` Transfer to grpc

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ResourceGroupTransfer

          public ResourceGroupTransfer(@NonNull
                                       @NonNull java.lang.String resourceGroupName)

      Constructor with resource group name.
      Parameters:
        `resourceGroupName` - resource group name

    - #### ResourceGroupTransfer

          public ResourceGroupTransfer(@NonNull
                                       io.milvus.grpc.ResourceGroupTransfer grpcTransfer)

      Constructor from grpc
      Parameters:
        `grpcTransfer` - grpc transfer object

  - ### Method Detail

    - #### toGRPC

          @NonNull
          public io.milvus.grpc.ResourceGroupTransfer toGRPC()

      Transfer to grpc
      Returns:
        io.milvus.grpc.ResourceGroupTransfer